commit:     5b5a1e70d27fd95601a9f9cc854c51e3603d97cc
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  1 00:31:40 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr  1 00:43:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b5a1e70

dev-libs/mimetic: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/mimetic/mimetic-0.9.8.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-libs/mimetic/mimetic-0.9.8.ebuild 
b/dev-libs/mimetic/mimetic-0.9.8.ebuild
index 3f54ec09712..b47e8e69733 100644
--- a/dev-libs/mimetic/mimetic-0.9.8.ebuild
+++ b/dev-libs/mimetic/mimetic-0.9.8.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit autotools
 
@@ -14,7 +14,7 @@ SLOT="0"
 KEYWORDS="amd64 ~ppc64 x86"
 IUSE="doc examples"
 
-DEPEND="doc? ( app-doc/doxygen )"
+BDEPEND="doc? ( app-doc/doxygen )"
 
 PATCHES=( "${FILESDIR}/signed-char.patch" )
 
@@ -46,5 +46,5 @@ src_install() {
                dodoc examples/{README,TODO,test.msg,*.cxx,*.h}
        fi
 
-       rm "${D}"/usr/$(get_libdir)/libmimetic.la || die
+       rm "${ED}"/usr/$(get_libdir)/libmimetic.la || die
 }

Reply via email to